GET

roomcovers API

Retrieve and manage roomcovers records from the Apps4Edu sync database.

Endpoint Path

GET /api/roomcovers

CURL Example

curl "https://api.apps4education.co.uk/api/roomcovers?api_token=YOUR_TOKEN" \
-H "Accept: application/json"
    

Field Definitions

Field Type
coverID int
coverDate datetime
coverStart datetime
coverEnd datetime
duration int
periodName varchar
coverType varchar
coverReasonCode text
coverReasonDescription text
coveredActivity varchar
coveredRoomCode varchar
coveredRoomName varchar
coveredRoomID int
coveringRoomCode varchar
coveringRoomName varchar
coveringRoomID int
published varchar
specialInstructions varchar
created_at timestamp
updated_at timestamp
school_id bigint

Response Body (Sample)

{
  "data": [
    {
      "coverID": 101,
      "coverDate": "example_value",
      "coverStart": "example_value",
      "coverEnd": "example_value",
      "duration": "example_value",
      "periodName": "example_value",
      "coverType": "example_value",
      "coverReasonCode": "example_value",
      "coverReasonDescription": "example_value",
      "coveredActivity": "example_value",
      "coveredRoomCode": "example_value",
      "coveredRoomName": "example_value",
      "coveredRoomID": 101,
      "coveringRoomCode": "example_value",
      "coveringRoomName": "example_value",
      "coveringRoomID": 101,
      "published": true,
      "specialInstructions": "example_value",
      "created_at": "example_value",
      "updated_at": "example_value",
      "school_id": "example_value"
    }
  ]
}
                    

Query Parameters

api_token

Required. Your unique API key must be passed as a query string parameter.

school

Optional. A Bromcom school ID to restrict rows to one school.

page

Optional. Defaults to 1. Used to navigate through paginated results.

per_page

Optional. Rows per page, up to 500 (the default). Follow next_page_url for the rest.